#include<bits/stdc++.h>
using namespace std;
int n,k,niz[20005],x;
int main(){
  cin>>n>>k;
  for(int i=1;i<=n;i++){
    cin>>niz[i];
    if(niz[i]==k){
      x=i;
    }
  }
  if(x==n){
    cout<<niz[1]<<endl;
  }
  else{
    cout<<niz[x+1]<<endl;
  }
  return 0;
}